## sushi 1.3.0+dfsg

=== wscript ===
#!/usr/bin/env python

APPNAME = 'sushi'
VERSION = '1.3.0'

srcdir = '.'
blddir = 'build'

def configure (conf):
	conf.sub_config('maki')
	conf.sub_config('nigiri')
	conf.sub_config('plugins')
	conf.sub_config('tekka')

def build (bld):
	bld.add_subdirs('maki')
	bld.add_subdirs('nigiri')
	bld.add_subdirs('plugins')
	bld.add_subdirs('tekka')

=== maki/wscript ===
#!/usr/bin/env python

import subprocess

import Utils

APPNAME = 'maki'
VERSION = '1.3.0'

srcdir = '.'
blddir = 'build'

def _getconf (key):
	# FIXME Maybe use os.confstr().
	p = subprocess.Popen(['getconf', key], stdout=subprocess.PIPE, close_fds=True)
	v = p.communicate()[0].strip()

	if not v:
		return []

	return Utils.to_list(v)

def configure (conf):
	conf.env.CCFLAGS += ['-std=c99', '-pedantic', '-Wall', '-Wextra', '-Wno-missing-field-initializers', '-Wno-unused-parameter', '-Wold-style-definition', '-Wdeclaration-after-statement', '-Wmissing-declarations', '-Wmissing-prototypes', '-Wredundant-decls', '-Wmissing-noreturn', '-Wshadow', '-Wpointer-arith', '-Wcast-align', '-Wwrite-strings', '-Winline', '-Wformat-nonliteral', '-Wformat-security', '-Wswitch-enum', '-Wswitch-default', '-Winit-self', '-Wmissing-include-dirs', '-Wundef', '-Waggregate-return', '-Wmissing-format-attribute', '-Wnested-externs', '-Wstrict-prototypes']

	conf.env.CCFLAGS += _getconf('LFS_CFLAGS')
	conf.env.LDFLAGS += _getconf('LFS_LDFLAGS')
	conf.env.LDFLAGS += _getconf('LFS_LIBS')

	conf.env.VERSION = VERSION

	conf.sub_config('data')
	conf.sub_config('documentation')
	conf.sub_config('po')
	conf.sub_config('source')

def build (bld):
	bld.add_subdirs('data')
	bld.add_subdirs('documentation')
	bld.add_subdirs('po')
	bld.add_subdirs('source')

=== nigiri/wscript ===
#!/usr/bin/env python

import Utils

APPNAME = 'nigiri'
VERSION = '1.3.0'

srcdir = '.'
blddir = 'build'

def configure (conf):
	conf.check_tool('gnu_dirs')
	conf.check_tool('misc')

	conf.find_program('gzip', var = 'GZIP')

	conf.env.VERSION = VERSION

	conf.sub_config('po')

def build (bld):
	bld.add_subdirs('po')

	bld.install_files('${DATAROOTDIR}/sushi/nigiri', bld.glob('*.py'))
	bld.install_files('${DATAROOTDIR}/sushi/nigiri/extends', bld.glob('extends/*.py'))
	bld.install_files('${DATAROOTDIR}/sushi/nigiri/helper', bld.glob('helper/*.py'))
	bld.install_files('${DATAROOTDIR}/sushi/nigiri/plugins', bld.glob('plugins/*.py'))

	bld.symlink_as('${BINDIR}/nigiri', Utils.subst_vars('${DATAROOTDIR}/sushi/nigiri/main.py', bld.env))

	# FIXME
	bld.new_task_gen(
		features = 'subst',
		source = 'main.py.in',
		target = 'main.py',
		install_path = '${DATAROOTDIR}/sushi/nigiri',
		chmod = 0755,
		dict = {'SUSHI_VERSION': bld.env.VERSION}
	)

	for man in ('nigiri.1',):
		bld.new_task_gen(
			features = 'subst',
			source = '%s.in' % (man),
			target = man,
			install_path = None,
			dict = {'SUSHI_VERSION': bld.env.VERSION}
		)

	bld.add_group()

	for man in ('nigiri.1',):
		bld.new_task_gen(
			source = man,
			target = '%s.gz' % (man),
			rule = '${GZIP} -c ${SRC} > ${TGT}',
			install_path = '${MANDIR}/man1'
		)

=== plugins/wscript ===
#!/usr/bin/env python

APPNAME = 'plugins'
VERSION = '1.3.0'

srcdir = '.'
blddir = 'build'

def configure (conf):
	conf.check_tool('gnu_dirs')

def build (bld):
	bld.install_files('${DATAROOTDIR}/sushi/plugins', bld.glob('*.py'))

=== tekka/wscript ===
#!/usr/bin/env python

import os

import Options
import Utils

APPNAME = 'tekka'
VERSION = '1.3.0'

srcdir = '.'
blddir = 'build'

def set_options (ctx):
	ctx.add_option('--humanity-icons', action='store_true', default=False, help='Install Humanity Mono Icons')

def configure (conf):
	conf.check_tool('gnu_dirs')
	conf.check_tool('misc')

	conf.find_program('gzip', var = 'GZIP')

	home = os.path.expanduser('~')

	if conf.env.PREFIX == home:
		conf.env.TEKKA_APPLICATIONSDIR = '%s/.local/share/applications' % (home)
		conf.env.TEKKA_ICONSDIR = '%s/.icons' % (home)
	else:
		conf.env.TEKKA_APPLICATIONSDIR = Utils.subst_vars('${DATAROOTDIR}/applications', conf.env)
		conf.env.TEKKA_ICONSDIR = Utils.subst_vars('${DATAROOTDIR}/icons', conf.env)

	conf.env.HUMANITY_ICONS = Options.options.humanity_icons
	conf.env.VERSION = VERSION

	conf.sub_config('po')

def build (bld):
	bld.add_subdirs('po')

	files = bld.glob('*.py')
	files.remove('tekka.py')

	bld.install_files('${DATAROOTDIR}/sushi/tekka', files)
	bld.install_files('${DATAROOTDIR}/sushi/tekka/tekka', bld.glob('tekka/*.py'))
	bld.install_files('${DATAROOTDIR}/sushi/tekka/tekka/dialogs', bld.glob('tekka/dialogs/*.py'))
	bld.install_files('${DATAROOTDIR}/sushi/tekka/tekka/gui', bld.glob('tekka/gui/*.py'))
	bld.install_files('${DATAROOTDIR}/sushi/tekka/tekka/gui/mgmt', bld.glob('tekka/gui/mgmt/*.py'))
	bld.install_files('${DATAROOTDIR}/sushi/tekka/tekka/helper', bld.glob('tekka/helper/*.py'))
	bld.install_files('${DATAROOTDIR}/sushi/tekka/tekka/lib', bld.glob('tekka/lib/*.py'))
	bld.install_files('${DATAROOTDIR}/sushi/tekka/tekka/menus', bld.glob('tekka/menus/*.py'))

	bld.install_files('${DATAROOTDIR}/sushi/tekka/plugins', bld.glob('plugins/*.py'))

	bld.install_files('${DATAROOTDIR}/sushi/tekka/ui', bld.glob('ui/*.ui'))
	bld.install_files('${DATAROOTDIR}/sushi/tekka/ui/dialogs', bld.glob('ui/dialogs/*.ui'))
	bld.install_files('${DATAROOTDIR}/sushi/tekka/ui/menus', bld.glob('ui/menus/*.ui'))

	bld.install_files('${DATAROOTDIR}/sushi/tekka', 'tekka.py', chmod = 0755)

	# Well, that's kinda silly, but state of the art, I guess
	for dir in ('16x16', '22x22', '24x24', '32x32', '36x36', '48x48', '64x64', '72x72', '96x96', '128x128', '192x192', '256x256', 'scalable'):
		# Global icon
		bld.install_as('${TEKKA_ICONSDIR}/hicolor/%s/apps/tekka.svg' % (dir),
			       'graphics/tekka-generic.svg')

	# Humanity-specific icons (dark/light theme)
	if bld.env.HUMANITY_ICONS:
		# Well, that's kinda silly, but state of the art, I guess
		for dir in ('16', '22', '24', '32', '48', '64', '128', '192'):
			bld.install_as('${TEKKA_ICONSDIR}/Humanity-Dark/apps/%s/tekka.svg' % (dir),
			               'graphics/tekka-mono-dark.svg')
			bld.install_as('${TEKKA_ICONSDIR}/Humanity/apps/%s/tekka.svg' % (dir),
			               'graphics/tekka-mono-light.svg')

	bld.symlink_as('${BINDIR}/tekka', Utils.subst_vars('${DATAROOTDIR}/sushi/tekka/tekka.py', bld.env))

	# FIXME
	bld.new_task_gen(
		features = 'subst',
		source = 'ui/dialogs/about.ui.in',
		target = 'ui/dialogs/about.ui',
		install_path = '${DATAROOTDIR}/sushi/tekka/ui/dialogs',
		dict = {'SUSHI_VERSION': bld.env.VERSION}
	)

	bld.new_task_gen(
		features = 'subst',
		source = 'tekka.desktop.in',
		target = 'tekka.desktop',
		install_path = '${TEKKA_APPLICATIONSDIR}'
	)

	for man in ('tekka.1',):
		bld.new_task_gen(
			features = 'subst',
			source = '%s.in' % (man),
			target = man,
			install_path = None,
			dict = {'SUSHI_VERSION': bld.env.VERSION}
		)

	bld.add_group()

	for man in ('tekka.1',):
		bld.new_task_gen(
			source = man,
			target = '%s.gz' % (man),
			rule = '${GZIP} -c ${SRC} > ${TGT}',
			install_path = '${MANDIR}/man1'
		)

=== maki/data/wscript ===
#!/usr/bin/env python

def configure (conf):
	conf.check_tool('gcc')
	conf.check_tool('misc')

	conf.find_program('gzip', var = 'GZIP')

	conf.check_cfg(
		package = 'dbus-1',
		uselib_store = 'DBUS',
		variables = ['session_bus_services_dir']
	)

	if not conf.env.VERSION:
		conf.env.VERSION = ''

def build (bld):
	bld.install_files('${DATAROOTDIR}/sushi/maki', 'dbus.xml')

	dbus_dir = bld.env['DBUS_session_bus_services_dir']

	if dbus_dir and dbus_dir.startswith(bld.env.PREFIX):
		bld.new_task_gen(
			features = 'subst',
			source = 'de.ikkoku.sushi.service.in',
			target = 'de.ikkoku.sushi.service',
			install_path = '${DBUS_session_bus_services_dir}'
		)

	for man in ('maki.1', 'sushi-remote.1'):
		bld.new_task_gen(
			features = 'subst',
			source = '%s.in' % (man),
			target = man,
			install_path = None,
			dict = {'SUSHI_VERSION': bld.env.VERSION}
		)

	bld.add_group()

	for man in ('maki.1', 'sushi-remote.1'):
		bld.new_task_gen(
			source = man,
			target = '%s.gz' % (man),
			rule = '${GZIP} -c ${SRC} > ${TGT}',
			install_path = '${MANDIR}/man1'
		)

=== maki/documentation/wscript ===
#!/usr/bin/env python

def configure (conf):
	pass

def build (bld):
	bld.install_files('${DOCDIR}', bld.glob('*.txt'))
	bld.install_files('${DOCDIR}/clients', bld.glob('clients/*.txt'))
	bld.install_files('${DOCDIR}/irc', bld.glob('irc/*.txt'))
	bld.install_files('${DOCDIR}/os', bld.glob('os/*.txt'))

=== maki/po/wscript ===
#!/usr/bin/env python

def configure (conf):
	conf.check_tool('intltool')

def build (bld):
	bld.new_task_gen(
		features = 'intltool_po',
		appname = 'maki'
	)

# maki.pot: $(C) $(H)
# 	$(QUIET_GEN) xgettext --from-code=UTF-8 --keyword=_ --keyword=N_ --output=$@.tmp $+; \
# 		if $(DIFF) -u $@ $@.tmp | $(GREP) '^[+-]msg' > /dev/null 2>&1; \
# 		then \
# 			$(MV) $@.tmp $@; \
# 		else \
# 			$(RM) -f $@.tmp; \
# 			$(TOUCH) $@; \
# 		fi

=== maki/source/wscript ===
#!/usr/bin/env python

import os

import Utils

def configure (conf):
	conf.sub_config('plugins')

	conf.check_tool('dbus')
	conf.check_tool('gcc')
	conf.check_tool('glib2')
	conf.check_tool('gnu_dirs')
	conf.check_tool('intltool')

	conf.check_cfg(
		package = 'dbus-1',
		args = '--cflags --libs',
		mandatory = True
	)

	conf.check_cfg(
		package = 'dbus-glib-1',
		args = '--cflags --libs',
		mandatory = True
	)

	conf.check_cfg(
		package = 'glib-2.0',
		args = '--cflags --libs',
		atleast_version = '2.16',
		mandatory = True
	)

	conf.check_cfg(
		package = 'gobject-2.0',
		args = '--cflags --libs',
		mandatory = True
	)

	conf.check_cfg(
		package = 'gthread-2.0',
		args = '--cflags --libs',
		mandatory = True
	)

	conf.check_cfg(
		package = 'gmodule-2.0',
		args = '--cflags --libs',
		mandatory = True
	)

	conf.check_cfg(
		package = 'nice',
		args = '--cflags --libs'
	)

	conf.check_cfg(
		package = 'gupnp-igd-1.0',
		args = '--cflags --libs'
	)

	conf.check_cfg(
		package = 'gnutls',
		args = '--cflags --libs'
	)

	conf.check_cfg(
		path = 'libgcrypt-config',
		package = '',
		args = '--cflags --libs',
		uselib_store = 'GCRYPT'
	)

	conf.find_program('grep', var = 'GREP')
	conf.find_program('sed', var = 'SED')
	conf.find_program('sort', var = 'SORT')

	if not conf.env.VERSION:
		conf.env.VERSION = ''

	conf.define('SUSHI_VERSION', conf.env.VERSION)

	conf.write_config_header('config.h')

def build (bld):
	components = ('ilib', 'sashimi', 'channel', 'channel_user', 'dcc_send', 'dbus', 'dbus_server', 'in', 'instance', 'log', 'maki', 'misc', 'network', 'out', 'plugin', 'server', 'ssl', 'user')

	bld.new_task_gen(
		source = '../data/dbus.xml',
		target = 'dbus_glue.h',
		rule = '${DBUS_BINDING_TOOL} --mode=glib-server --prefix=maki_dbus ${SRC} > ${TGT}'
	)

	bld.new_task_gen(
		source = 'dbus.c',
		target = 'marshal.list',
		rule = '${GREP} -E -h -o \'maki_marshal_[0-9A-Z]+__([0-9A-Z]+_)*[0-9A-Z]+\' ${SRC} \
		| ${SED} -e \'s/^maki_marshal_//\' -e \'s/__/:/\' -e \'s/_/,/g\' \
		| ${SORT} -u \
		> ${TGT}'
	)

	bld.add_group()

	# FIXME To quiet warnings from generated code.
	e = bld.env.copy()
	e.CCFLAGS = bld.env.CCFLAGS[:]
	e.CCFLAGS.remove('-pedantic')

	o = bld.new_task_gen(
		features = 'cc cprogram',
		source = ['%s.c' % (c) for c in components],
		target = 'maki',
		uselib = ['DBUS-1', 'DBUS-GLIB-1', 'GLIB-2.0', 'GOBJECT-2.0', 'GTHREAD-2.0', 'GMODULE-2.0', 'NICE', 'GUPNP-IGD-1.0', 'GNUTLS', 'GCRYPT'],
		includes = ['.'],
		defines = ['MAKI_PLUGIN_DIRECTORY="%s"' % (Utils.subst_vars('${LIBDIR}/sushi/maki/plugins', bld.env)),
			'MAKI_SHARE_DIRECTORY="%s"' % (Utils.subst_vars('${DATAROOTDIR}/sushi/maki', bld.env))],
		env = e
	)

	o.add_marshal_file('marshal.list', 'maki_marshal')

	bld.new_task_gen(
		features = 'cc cprogram',
		source = 'sushi-remote.c',
		target = 'sushi-remote',
		uselib = ['GLIB-2.0']
	)

	#bld.new_task_gen(
	#	features = 'cc cshlib',
	#	source = 'sashimi.c',
	#	target = 'sashimi',
	#	uselib = ['GLIB-2.0']
	#)

	bld.add_subdirs('plugins')

=== nigiri/po/wscript ===
#!/usr/bin/env python

def configure (conf):
	conf.check_tool('intltool')

def build (bld):
	bld.new_task_gen(
		features = 'intltool_po',
		appname = 'nigiri'
	)

=== tekka/po/wscript ===
#!/usr/bin/env python

def configure (conf):
	conf.check_tool('intltool')

def build (bld):
	bld.new_task_gen(
		features = 'intltool_po',
		appname = 'tekka'
	)

=== maki/source/plugins/wscript ===
#!/usr/bin/env python

def configure (conf):
	conf.check_tool('gcc')
	conf.check_tool('glib2')
	conf.check_tool('gnu_dirs')

	conf.check_cfg(
		package = 'glib-2.0',
		args = '--cflags --libs',
		mandatory = True
	)

	conf.check_cfg(
		package = 'gmodule-2.0',
		args = '--cflags --libs',
		mandatory = True
	)

	conf.check_cfg(
		package = 'libnm_glib',
		args = '--cflags --libs',
		atleast_version = '0.7.0'
	)

	conf.find_program('grep', var = 'GREP')
	conf.find_program('sed', var = 'SED')
	conf.find_program('sort', var = 'SORT')

def build (bld):
	if bld.env.HAVE_LIBNM_GLIB:
		bld.new_task_gen(
			features = 'cc cshlib',
			source = ['nm.c'],
			target = 'nm',
			uselib = ['GLIB-2.0', 'GMODULE-2.0', 'LIBNM_GLIB'],
			includes = ['.', '..'],
			install_path = '${LIBDIR}/sushi/maki/plugins'
		)

=== debian/changelog ===
sushi (1.3.0+dfsg-2) unstable; urgency=low

  * Add 01_deprecated-gnutls-2.12.diff patch to replace deprecated
    gnutls_certificate_verify_peers with gnutls_certificate_verify_peers2
    function (Closes: #624081).
  * Fix package-contains-empty-directory lintian info.
  * Bump Standards-Version to 3.9.2.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 25 Apr 2011 17:25:49 +0200

sushi (1.3.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #575571).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 11 Mar 2011 19:04:36 +0100

=== debian/control ===
Source: sushi
Section: net
Priority: extra
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), python, libdbus-1-dev, intltool,
 libglib2.0-dev (>= 2.16), libnm-glib-dev (>= 0.7.0), libdbus-glib-1-dev,
 libnice-dev, libgupnp-igd-1.0-dev, libgnutls-dev
Build-Depends-Indep: python-support
Standards-Version: 3.9.2
Homepage: http://sushi.ikkoku.de/

Package: maki
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: D-Bus-based IRC suite (daemon)
 The sushi IRC suite consists of a central daemon and several clients, which
 communicate via DBus. DBus methods and signals are provided by the daemon to
 abstract the IRC protocol. Clients can use these methods and signals to
 easily interact with IRC.
 .
 maki provides DBus methods and signals to abstract the IRC protocol. Clients
 like tekka and nigiri can use these methods and signals to easily interact
 with IRC.

Package: nigiri
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, maki, python-urwid (>= 0.9.8),
 python-gobject, python-dbus, python-xdg
Recommends: sushi-plugins (= ${binary:Version})
Description: D-Bus-based IRC suite (terminal client)
 The sushi IRC suite consists of a central daemon and several clients, which
 communicate via DBus. DBus methods and signals are provided by the daemon to
 abstract the IRC protocol. Clients can use these methods and signals to
 easily interact with IRC.
 .
 nigiri is a terminal client for maki and is written in Python. It uses Urwid
 to realize the interface and supports plugins.

Package: tekka
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, maki, python-dbus,
 python-gobject, python-gtk2, python-xdg
Recommends: sushi-plugins (= ${binary:Version})
Description: D-Bus-based IRC suite (graphical client)
 The sushi IRC suite consists of a central daemon and several clients, which
 communicate via DBus. DBus methods and signals are provided by the daemon to
 abstract the IRC protocol. Clients can use these methods and signals to
 easily interact with IRC.
 .
 tekka is a GTK-driven client for maki and is written in Python. It uses Glade
 to describe the interface, supports plugins and tries to stick to the GNOME
 Human Interface (HIG) guidelines.

Package: sushi-plugins
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: D-Bus-based IRC suite (clients plugins)
 The sushi IRC suite consists of a central daemon and several clients, which
 communicate via DBus. DBus methods and signals are provided by the daemon to
 abstract the IRC protocol. Clients can use these methods and signals to
 easily interact with IRC.
 .
 plugins provides plugins for tekka and nigiri. All plugins are written in
 Python and use the sushi client plugin API.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_clean:
	cd maki && ./waf distclean
	cd nigiri && ./waf distclean
	cd tekka && ./waf distclean
	cd plugins && ./waf distclean

	rm -rf maki/.waf-* nigiri/.waf-* tekka/.waf-* plugins/.waf-*

override_dh_auto_configure:
	cd maki && ./waf configure --prefix /usr
	cd nigiri && ./waf configure --prefix /usr
	cd tekka && ./waf configure --prefix /usr
	cd plugins && ./waf configure --prefix /usr

override_dh_auto_build:
	cd maki && ./waf build
	cd nigiri && ./waf build
	cd tekka && ./waf build
	cd plugins && ./waf build

override_dh_auto_install:
	cd maki && ./waf install --destdir $(CURDIR)/debian/maki
	cd nigiri && ./waf install --destdir $(CURDIR)/debian/nigiri
	cd tekka && ./waf install --destdir $(CURDIR)/debian/tekka
	cd plugins && ./waf install --destdir $(CURDIR)/debian/sushi-plugins

	# Fix package-contains-empty-directory lintian info:
	rmdir $(CURDIR)/debian/maki/usr/share/doc/maki/irc

## sushi 1.4.0+dfsg

=== wscript ===
#!/usr/bin/env python

APPNAME = 'sushi'
VERSION = '1.4.0'

top = '.'
out = 'build'

def options (ctx):
	ctx.recurse('maki')
	ctx.recurse('tekka')

def configure (ctx):
	ctx.recurse('maki')
	ctx.recurse('nigiri')
	ctx.recurse('plugins')
	ctx.recurse('tekka')

def build (ctx):
	ctx.recurse('maki')
	ctx.recurse('nigiri')
	ctx.recurse('plugins')
	ctx.recurse('tekka')

=== maki/wscript ===
#!/usr/bin/env python

from waflib import Utils

APPNAME = 'maki'
VERSION = '1.4.0'

top = '.'
out = 'build'

def options (ctx):
	ctx.load('compiler_c')

	ctx.add_option('--debug', action='store_true', default=False, help='Enable debug mode')

	ctx.add_option('--miniupnpc', action='store', default='/usr', help='Use MiniUPnPc')

def configure (ctx):
	ctx.load('compiler_c')
	ctx.load('gnu_dirs')
	ctx.load('intltool')

	ctx.find_program('gzip', var = 'GZIP')

	ctx.env.CFLAGS += ['-std=c99']
	ctx.env.CFLAGS += ['-D_FILE_OFFSET_BITS=64']

	#ctx.check_large_file()

	ctx.check_cfg(
		package = 'gio-2.0',
		args = ['--cflags', '--libs'],
		atleast_version = '2.26',
		uselib_store = 'GIO'
	)

	ctx.check_cfg(
		package = 'glib-2.0',
		args = ['--cflags', '--libs'],
		atleast_version = '2.26',
		uselib_store = 'GLIB'
	)

	ctx.check_cfg(
		package = 'gmodule-2.0',
		args = ['--cflags', '--libs'],
		atleast_version = '2.26',
		uselib_store = 'GMODULE'
	)

	ctx.check_cfg(
		package = 'gobject-2.0',
		args = ['--cflags', '--libs'],
		atleast_version = '2.26',
		uselib_store = 'GOBJECT'
	)

	ctx.check_cfg(
		package = 'gthread-2.0',
		args = ['--cflags', '--libs'],
		atleast_version = '2.26',
		uselib_store = 'GTHREAD'
	)

	ctx.check_cfg(
		package = 'nice',
		args = ['--cflags', '--libs'],
		mandatory = False
	)

	# FIXME https://bugzilla.gnome.org/show_bug.cgi?id=667494

	#ctx.check_cfg(
	#	package = 'gupnp-1.0',
	#	args = ['--cflags', '--libs'],
	#	atleast_version = '0.17.2',
	#	uselib_store = 'GUPNP',
	#	mandatory = False
	#)

	#ctx.check_cfg(
	#	package = 'gupnp-igd-1.0',
	#	args = ['--cflags', '--libs'],
	#	atleast_version = '0.2.0',
	#	uselib_store = 'GUPNP_IGD',
	#	mandatory = False
	#)

	ctx.check_cc(
		header_name = 'miniupnpc.h',
		lib = 'miniupnpc',
		includes = ['%s/include/miniupnpc' % (ctx.options.miniupnpc,)],
		libpath = ['%s/lib' % (ctx.options.miniupnpc,)],
		uselib_store = 'MINIUPNPC',
		define_name = 'HAVE_MINIUPNPC',
		mandatory = False
	)

	if ctx.env.HAVE_MINIUPNPC:
		ctx.check_cc(
			fragment = '''
			#include <stdlib.h>

			#include <miniupnpc.h>
			#include <upnpcommands.h>

			int main (void)
			{
				struct UPNPUrls miniupnpc_urls = { 0 };
				struct IGDdatas miniupnpc_datas;

				UPNP_AddPortMapping(miniupnpc_urls.controlURL, miniupnpc_datas.first.servicetype, "42", "42", "127.0.0.1", "sushi IRC", "TCP", NULL, "600");

				return 0;
			}
			''',
			msg = 'Checking for MiniUPnPc 1.6',
			use = ['MINIUPNPC'],
			define_name = 'HAVE_MINIUPNPC_16',
			mandatory = False
		)

	ctx.check_cfg(
		package = 'dbus-1',
		variables = ['session_bus_services_dir'],
		uselib_store = 'DBUS',
		mandatory = False
	)

	if ctx.options.debug:
		ctx.env.CFLAGS += ['-pedantic', '-Wall', '-Wextra']
		ctx.env.CFLAGS += ['-Wno-missing-field-initializers', '-Wno-unused-parameter', '-Wold-style-definition', '-Wdeclaration-after-statement', '-Wmissing-declarations', '-Wmissing-prototypes', '-Wredundant-decls', '-Wmissing-noreturn', '-Wshadow', '-Wpointer-arith', '-Wcast-align', '-Wwrite-strings', '-Winline', '-Wformat-nonliteral', '-Wformat-security', '-Wswitch-enum', '-Wswitch-default', '-Winit-self', '-Wmissing-include-dirs', '-Wundef', '-Waggregate-return', '-Wmissing-format-attribute', '-Wnested-externs', '-Wstrict-prototypes']
		ctx.env.CFLAGS += ['-ggdb']

		# FIXME
		ctx.env.CFLAGS.remove('-Wmissing-include-dirs')

		ctx.define('G_DISABLE_DEPRECATED', 1)
	else:
		ctx.env.CFLAGS += ['-O2']

	ctx.define('SUSHI_VERSION', VERSION)

	ctx.write_config_header('source/config.h', remove = False)

def build (ctx):
	# maki
	ctx.program(
		source = ctx.path.ant_glob('source/*.c', excl = 'source/remote.c'),
		target = 'source/maki',
		use = ['GIO', 'GLIB', 'GMODULE', 'GOBJECT', 'GTHREAD', 'NICE'],
		includes = ['source'],
		defines = ['MAKI_PLUGIN_DIRECTORY="%s"' % (Utils.subst_vars('${LIBDIR}/maki/plugins', ctx.env)),
		           'MAKI_SHARE_DIRECTORY="%s"' % (Utils.subst_vars('${DATAROOTDIR}/maki', ctx.env))]
	)

	ctx.program(
		source = 'source/remote.c',
		target = 'source/maki-remote',
		use = ['GLIB']
	)

	# Plugins
	for plugin in ('network', 'sleep', 'upnp'):
		uselibs = ['GIO', 'GLIB', 'GMODULE', 'GOBJECT', 'GTHREAD']

		if plugin == 'upnp':
			if not ctx.env.HAVE_GUPNP and not ctx.env.HAVE_GUPNP_IGD and not ctx.env.HAVE_MINIUPNPC:
				continue

			uselibs += ['GUPNP', 'GUPNP_IGD', 'MINIUPNPC']

		ctx.shlib(
			source = ['source/plugins/%s.c' % (plugin,)],
			target = 'source/plugins/%s' % (plugin,),
			use = uselibs,
			includes = ['source'],
			install_path = '${LIBDIR}/maki/plugins'
		)

	# po
	ctx(
		features = 'intltool_po',
		appname = 'maki',
		podir = 'po',
		install_path = '${LOCALEDIR}'
	)

	# Documentation
	ctx.install_files('${DOCDIR}', ctx.path.ant_glob('documentation/**/*.txt'),
		relative_trick = True
	)

	# Data
	ctx.install_files('${DATAROOTDIR}/maki', 'data/dbus.xml')

	dbus_dir = ctx.env.DBUS_session_bus_services_dir

	if dbus_dir and dbus_dir.startswith(ctx.env.PREFIX):
		ctx(
			features = 'subst',
			source = 'data/de.ikkoku.sushi.service.in',
			target = 'data/de.ikkoku.sushi.service',
			install_path = '${DBUS_session_bus_services_dir}'
		)

	for man in ('maki.1', 'maki-remote.1'):
		ctx(
			features = 'subst',
			source = 'data/%s.in' % (man,),
			target = 'data/%s' % (man,),
			install_path = None,
			SUSHI_VERSION = VERSION
		)

	ctx.add_group()

	for man in ('maki.1', 'maki-remote.1'):
		ctx(
			source = 'data/%s' % (man,),
			target = 'data/%s.gz' % (man),
			rule = '${GZIP} -c ${SRC} > ${TGT}',
			install_path = '${MANDIR}/man1'
		)

=== nigiri/wscript ===
#!/usr/bin/env python

from waflib import Utils

APPNAME = 'nigiri'
VERSION = '1.4.0'

top = '.'
out = 'build'

def configure (ctx):
	ctx.load('gnu_dirs')

	ctx.find_program('gzip', var = 'GZIP')

	ctx.env.VERSION = VERSION

	ctx.recurse('po')

def build (ctx):
	ctx.install_files('${DATAROOTDIR}/nigiri', ctx.path.ant_glob('*.py'))
	ctx.install_files('${DATAROOTDIR}/nigiri/extends', ctx.path.ant_glob('extends/*.py'))
	ctx.install_files('${DATAROOTDIR}/nigiri/helper', ctx.path.ant_glob('helper/*.py'))
	ctx.install_files('${DATAROOTDIR}/nigiri/plugins', ctx.path.ant_glob('plugins/*.py'))

	ctx.symlink_as('${BINDIR}/nigiri', Utils.subst_vars('${DATAROOTDIR}/nigiri/main.py', ctx.env))

	# FIXME
	ctx(
		features = 'subst',
		source = 'main.py.in',
		target = 'main.py',
		install_path = '${DATAROOTDIR}/nigiri',
		chmod = Utils.O755,
		SUSHI_VERSION = ctx.env.VERSION
	)

	for man in ('nigiri.1',):
		ctx(
			features = 'subst',
			source = '%s.in' % (man),
			target = man,
			install_path = None,
			SUSHI_VERSION = ctx.env.VERSION
		)

	ctx.add_group()

	for man in ('nigiri.1',):
		ctx(
			source = man,
			target = '%s.gz' % (man),
			rule = '${GZIP} -c ${SRC} > ${TGT}',
			install_path = '${MANDIR}/man1'
		)

	ctx.recurse('po')

=== tekka/wscript ===
#!/usr/bin/env python

import os

from waflib import Utils

APPNAME = 'tekka'
VERSION = '1.4.0'

top = '.'
out = 'build'

def options (ctx):
	ctx.add_option('--humanity-icons', action='store_true', default=False, help='Install Humanity icons')

def configure (ctx):
	ctx.load('gnu_dirs')

	ctx.find_program('gzip', var = 'GZIP')

	home = os.path.expanduser('~')

	if ctx.env.PREFIX == home:
		ctx.env.TEKKA_APPLICATIONSDIR = '%s/.local/share/applications' % (home)
		ctx.env.TEKKA_ICONSDIR = '%s/.icons' % (home)
	else:
		ctx.env.TEKKA_APPLICATIONSDIR = Utils.subst_vars('${DATAROOTDIR}/applications', ctx.env)
		ctx.env.TEKKA_ICONSDIR = Utils.subst_vars('${DATAROOTDIR}/icons', ctx.env)

	ctx.env.HUMANITY_ICONS = ctx.options.humanity_icons
	ctx.env.VERSION = VERSION

	ctx.recurse('po')

def build (ctx):
	ctx.install_files('${DATAROOTDIR}/tekka', ctx.path.ant_glob('*.py', excl='tekka.py'))
	ctx.install_files('${DATAROOTDIR}/tekka/plugins', ctx.path.ant_glob('plugins/*.py'))

	ctx.install_files('${DATAROOTDIR}/tekka', ctx.path.ant_glob('tekka/**/*.py'),
		relative_trick = True
	)

	ctx.install_files('${DATAROOTDIR}/tekka', ctx.path.ant_glob('ui/**/*.ui'),
		relative_trick = True
	)

	ctx.install_files('${DATAROOTDIR}/tekka', 'tekka.py', chmod = Utils.O755)

	# Well, that's kinda silly, but state of the art, I guess
	for directory in ('16x16', '22x22', '24x24', '32x32', '36x36', '48x48', '64x64', '72x72', '96x96', '128x128', '192x192', '256x256', 'scalable'):
		# Global icon
		ctx.install_as('${TEKKA_ICONSDIR}/hicolor/%s/apps/tekka.svg' % (directory),
			       'graphics/tekka-generic.svg')

	# Humanity-specific icons (dark/light theme)
	if ctx.env.HUMANITY_ICONS:
		# Well, that's kinda silly, but state of the art, I guess
		for directory in ('16', '22', '24', '32', '48', '64', '128', '192'):
			ctx.install_as('${TEKKA_ICONSDIR}/Humanity-Dark/apps/%s/tekka.svg' % (directory),
			               'graphics/tekka-mono-dark.svg')
			ctx.install_as('${TEKKA_ICONSDIR}/Humanity/apps/%s/tekka.svg' % (directory),
			               'graphics/tekka-mono-light.svg')

	ctx.symlink_as('${BINDIR}/tekka', Utils.subst_vars('${DATAROOTDIR}/tekka/tekka.py', ctx.env))

	# FIXME
	ctx(
		features = 'subst',
		source = 'ui/dialogs/about.ui.in',
		target = 'ui/dialogs/about.ui',
		install_path = '${DATAROOTDIR}/tekka/ui/dialogs',
		SUSHI_VERSION = ctx.env.VERSION
	)

	ctx(
		features = 'subst',
		source = 'tekka.desktop.in',
		target = 'tekka.desktop',
		install_path = '${TEKKA_APPLICATIONSDIR}'
	)

	for man in ('tekka.1',):
		ctx(
			features = 'subst',
			source = '%s.in' % (man),
			target = man,
			install_path = None,
			SUSHI_VERSION = ctx.env.VERSION
		)

	ctx.add_group()

	for man in ('tekka.1',):
		ctx(
			source = man,
			target = '%s.gz' % (man),
			rule = '${GZIP} -c ${SRC} > ${TGT}',
			install_path = '${MANDIR}/man1'
		)

	ctx.recurse('po')

=== debian/changelog ===
sushi (1.4.0+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #655964, #638661, #640420, #652783).
  * Remove 01_deprecated-gnutls-2.12.diff patch, not needed anymore.
  * Update debian/copyright file.
  * Fix source-contains-waf-binary lintian error (Closes: #654507).
  * Update debian/README.source file.
  * debian/rules: remove generated waflib/*.pyc in override_dh_auto_clean
    target.
  * debian/rules: remove package-contains-empty-directory lintian info
    workaround, not needed anymore.
  * debian/control: adjust Build-Depends field according to upstream.
  * Rename sushi-plugins package to chirashi and add sushi meta-package and
    maki-plugins package. Thanks to Michael Kuhn
    for this.
  * debian/control: update Homepage field.
  * Bump Standards-Version to 3.9.3.
 
  [ Luca Falavigna ]
  * Enable DM upload.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 09 Jun 2012 15:38:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,27 @@
 Priority: extra
 Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), python, libdbus-1-dev, intltool,
- libglib2.0-dev (>= 2.16), libnm-glib-dev (>= 0.7.0), libdbus-glib-1-dev,
- libnice-dev, libgupnp-igd-1.0-dev, libgnutls-dev
+ libglib2.0-dev (>= 2.26), libnice-dev, libminiupnpc-dev (>= 1.5)
 Build-Depends-Indep: python-support
-Standards-Version: 3.9.2
-Homepage: http://sushi.ikkoku.de/
+DM-Upload-Allowed: yes
+Standards-Version: 3.9.3
+Homepage: http://redmine.ikkoku.de/projects/sushi/wiki
+
+Package: sushi
+Architecture: all
+Depends: maki, tekka | nigiri, ${misc:Depends}
+Description: D-Bus-based IRC suite (suite)
+ The sushi IRC suite consists of a central daemon and several clients, which
+ communicate via DBus. DBus methods and signals are provided by the daemon to
+ abstract the IRC protocol. Clients can use these methods and signals to easily
+ interact with IRC.
+ .
+ This virtual package provides the full suite.
 
 Package: maki
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: maki-plugins
 Description: D-Bus-based IRC suite (daemon)
  The sushi IRC suite consists of a central daemon and several clients, which
  communicate via DBus. DBus methods and signals are provided by the daemon to
@@ -21,6 +33,17 @@
  maki provides DBus methods and signals to abstract the IRC protocol. Clients
  like tekka and nigiri can use these methods and signals to easily interact
  with IRC.
+
+Package: maki-plugins
+Architecture: any
+Depends: maki (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: D-Bus-based IRC suite (daemon plugins)
+ The sushi IRC suite consists of a central daemon and several clients, which
+ communicate via DBus. DBus methods and signals are provided by the daemon to
+ abstract the IRC protocol. Clients can use these methods and signals to easily
+ interact with IRC.
+ .
+ This package contains plugins for maki.
 
 Package: nigiri
 Architecture: all
@@ -51,14 +74,23 @@
  to describe the interface, supports plugins and tries to stick to the GNOME
  Human Interface (HIG) guidelines.
 
-Package: sushi-plugins
+Package: chirashi
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
+Replaces: sushi-plugins (<< 1.4.0)
+Breaks: sushi-plugins (<< 1.4.0)
 Description: D-Bus-based IRC suite (clients plugins)
  The sushi IRC suite consists of a central daemon and several clients, which
  communicate via DBus. DBus methods and signals are provided by the daemon to
  abstract the IRC protocol. Clients can use these methods and signals to
  easily interact with IRC.
  .
- plugins provides plugins for tekka and nigiri. All plugins are written in
+ chirashi provides plugins for tekka and nigiri. All plugins are written in
  Python and use the sushi client plugin API.
+
+Package: sushi-plugins
+Depends: chirashi, ${misc:Depends}
+Architecture: all
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

WAF=env WAFDIR=$(CURDIR) ./waf

%:
	dh $@ 

override_dh_auto_clean:
	cd maki && $(WAF) distclean
	cd nigiri && $(WAF) distclean
	cd tekka && $(WAF) distclean
	cd chirashi && $(WAF) distclean

	rm -rf maki/.waf-* nigiri/.waf-* tekka/.waf-* chirashi/.waf-*
	find waflib -name "*.pyc" -delete

override_dh_auto_configure:
	cd maki && $(WAF) configure --prefix /usr
	cd nigiri && $(WAF) configure --prefix /usr
	cd tekka && $(WAF) configure --prefix /usr
	cd chirashi && $(WAF) configure --prefix /usr

override_dh_auto_build:
	cd maki && $(WAF) build
	cd nigiri && $(WAF) build
	cd tekka && $(WAF) build
	cd chirashi && $(WAF) build

override_dh_auto_install:
	cd maki && $(WAF) install --destdir $(CURDIR)/debian/maki
	cd nigiri && $(WAF) install --destdir $(CURDIR)/debian/nigiri
	cd tekka && $(WAF) install --destdir $(CURDIR)/debian/tekka
	cd chirashi && $(WAF) install --destdir $(CURDIR)/debian/chirashi

	# Move maki plugins files in maki-plugins package
	mv debian/maki/usr/lib/maki/plugins/* debian/maki-plugins/usr/lib/maki/plugins/
	find $(CURDIR)/debian/maki/usr -type d -empty -delete

## sushi 1.4.0+git20160822+dfsg

=== chirashi/wscript ===
#!/usr/bin/env python

APPNAME = 'chirashi'
VERSION = '1.4.0'

top = '.'
out = 'build'

def configure (ctx):
	ctx.load('gnu_dirs')

def build (ctx):
	ctx.install_files('${DATAROOTDIR}/chirashi', ctx.path.ant_glob('*.py'))

=== maki/wscript ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/env python
+# coding: utf-8
 
 from waflib import Utils
 
@@ -7,6 +8,8 @@
 
 top = '.'
 out = 'build'
+
+SUSHI_GLIB_VERSION = '2.40'
 
 def options (ctx):
 	ctx.load('compiler_c')
@@ -30,35 +33,35 @@
 	ctx.check_cfg(
 		package = 'gio-2.0',
 		args = ['--cflags', '--libs'],
-		atleast_version = '2.26',
+		atleast_version = SUSHI_GLIB_VERSION,
 		uselib_store = 'GIO'
 	)
 
 	ctx.check_cfg(
 		package = 'glib-2.0',
 		args = ['--cflags', '--libs'],
-		atleast_version = '2.26',
+		atleast_version = SUSHI_GLIB_VERSION,
 		uselib_store = 'GLIB'
 	)
 
 	ctx.check_cfg(
 		package = 'gmodule-2.0',
 		args = ['--cflags', '--libs'],
-		atleast_version = '2.26',
+		atleast_version = SUSHI_GLIB_VERSION,
 		uselib_store = 'GMODULE'
 	)
 
 	ctx.check_cfg(
 		package = 'gobject-2.0',
 		args = ['--cflags', '--libs'],
-		atleast_version = '2.26',
+		atleast_version = SUSHI_GLIB_VERSION,
 		uselib_store = 'GOBJECT'
 	)
 
 	ctx.check_cfg(
 		package = 'gthread-2.0',
 		args = ['--cflags', '--libs'],
-		atleast_version = '2.26',
+		atleast_version = SUSHI_GLIB_VERSION,
 		uselib_store = 'GTHREAD'
 	)
 
@@ -70,6 +73,7 @@
 
 	# FIXME https://bugzilla.gnome.org/show_bug.cgi?id=667494
 
+	have_gupnp = False
 	#ctx.check_cfg(
 	#	package = 'gupnp-1.0',
 	#	args = ['--cflags', '--libs'],
@@ -78,6 +82,7 @@
 	#	mandatory = False
 	#)
 
+	have_gupnp_igd = False
 	#ctx.check_cfg(
 	#	package = 'gupnp-igd-1.0',
 	#	args = ['--cflags', '--libs'],
@@ -86,6 +91,7 @@
 	#	mandatory = False
 	#)
 
+	have_miniupnpc = \
 	ctx.check_cc(
 		header_name = 'miniupnpc.h',
 		lib = 'miniupnpc',
@@ -96,7 +102,7 @@
 		mandatory = False
 	)
 
-	if ctx.env.HAVE_MINIUPNPC:
+	if have_miniupnpc:
 		ctx.check_cc(
 			fragment = '''
 			#include <stdlib.h>
@@ -120,27 +126,22 @@
 			mandatory = False
 		)
 
-	ctx.check_cfg(
-		package = 'dbus-1',
-		variables = ['session_bus_services_dir'],
-		uselib_store = 'DBUS',
-		mandatory = False
-	)
-
 	if ctx.options.debug:
 		ctx.env.CFLAGS += ['-pedantic', '-Wall', '-Wextra']
 		ctx.env.CFLAGS += ['-Wno-missing-field-initializers', '-Wno-unused-parameter', '-Wold-style-definition', '-Wdeclaration-after-statement', '-Wmissing-declarations', '-Wmissing-prototypes', '-Wredundant-decls', '-Wmissing-noreturn', '-Wshadow', '-Wpointer-arith', '-Wcast-align', '-Wwrite-strings', '-Winline', '-Wformat-nonliteral', '-Wformat-security', '-Wswitch-enum', '-Wswitch-default', '-Winit-self', '-Wmissing-include-dirs', '-Wundef', '-Waggregate-return', '-Wmissing-format-attribute', '-Wnested-externs', '-Wstrict-prototypes']
 		ctx.env.CFLAGS += ['-ggdb']
 
-		# FIXME
-		ctx.env.CFLAGS.remove('-Wmissing-include-dirs')
-
-		ctx.define('G_DISABLE_DEPRECATED', 1)
+		ctx.define('GLIB_VERSION_MIN_REQUIRED', 'GLIB_VERSION_' + SUSHI_GLIB_VERSION.replace('.', '_'), quote = False)
 	else:
 		ctx.env.CFLAGS += ['-O2']
 
+	ctx.env.SUSHI_BUILD_UPNP = (have_gupnp or have_gupnp_igd or have_miniupnpc)
+
+	ctx.define('LOCALEDIR', Utils.subst_vars('${LOCALEDIR}', ctx.env))
+
 	ctx.define('SUSHI_VERSION', VERSION)
 
+	# FIXME remove=false
 	ctx.write_config_header('source/config.h', remove = False)
 
 def build (ctx):
@@ -151,7 +152,7 @@
 		use = ['GIO', 'GLIB', 'GMODULE', 'GOBJECT', 'GTHREAD', 'NICE'],
 		includes = ['source'],
 		defines = ['MAKI_PLUGIN_DIRECTORY="%s"' % (Utils.subst_vars('${LIBDIR}/maki/plugins', ctx.env)),
-		           'MAKI_SHARE_DIRECTORY="%s"' % (Utils.subst_vars('${DATAROOTDIR}/maki', ctx.env))]
+		           'MAKI_SHARE_DIRECTORY="%s"' % (Utils.subst_vars('${DATADIR}/maki', ctx.env))]
 	)
 
 	ctx.program(
@@ -161,11 +162,11 @@
 	)
 
 	# Plugins
-	for plugin in ('network', 'sleep', 'upnp'):
+	for plugin in ('sleep', 'upnp'):
 		uselibs = ['GIO', 'GLIB', 'GMODULE', 'GOBJECT', 'GTHREAD']
 
 		if plugin == 'upnp':
-			if not ctx.env.HAVE_GUPNP and not ctx.env.HAVE_GUPNP_IGD and not ctx.env.HAVE_MINIUPNPC:
+			if not ctx.env.SUSHI_BUILD_UPNP:
 				continue
 
 			uselibs += ['GUPNP', 'GUPNP_IGD', 'MINIUPNPC']
@@ -192,17 +193,14 @@
 	)
 
 	# Data
-	ctx.install_files('${DATAROOTDIR}/maki', 'data/dbus.xml')
-
-	dbus_dir = ctx.env.DBUS_session_bus_services_dir
-
-	if dbus_dir and dbus_dir.startswith(ctx.env.PREFIX):
-		ctx(
-			features = 'subst',
-			source = 'data/de.ikkoku.sushi.service.in',
-			target = 'data/de.ikkoku.sushi.service',
-			install_path = '${DBUS_session_bus_services_dir}'
-		)
+	ctx.install_files('${DATADIR}/maki', 'data/dbus.xml')
+
+	ctx(
+		features = 'subst',
+		source = 'data/de.ikkoku.sushi.service.in',
+		target = 'data/de.ikkoku.sushi.service',
+		install_path = '${DATADIR}/dbus-1/services'
+	)
 
 	for man in ('maki.1', 'maki-remote.1'):
 		ctx(

=== tekka/wscript ===
--- 
+++ 
@@ -24,8 +24,8 @@
 		ctx.env.TEKKA_APPLICATIONSDIR = '%s/.local/share/applications' % (home)
 		ctx.env.TEKKA_ICONSDIR = '%s/.icons' % (home)
 	else:
-		ctx.env.TEKKA_APPLICATIONSDIR = Utils.subst_vars('${DATAROOTDIR}/applications', ctx.env)
-		ctx.env.TEKKA_ICONSDIR = Utils.subst_vars('${DATAROOTDIR}/icons', ctx.env)
+		ctx.env.TEKKA_APPLICATIONSDIR = Utils.subst_vars('${DATADIR}/applications', ctx.env)
+		ctx.env.TEKKA_ICONSDIR = Utils.subst_vars('${DATADIR}/icons', ctx.env)
 
 	ctx.env.HUMANITY_ICONS = ctx.options.humanity_icons
 	ctx.env.VERSION = VERSION
@@ -33,18 +33,26 @@
 	ctx.recurse('po')
 
 def build (ctx):
-	ctx.install_files('${DATAROOTDIR}/tekka', ctx.path.ant_glob('*.py', excl='tekka.py'))
-	ctx.install_files('${DATAROOTDIR}/tekka/plugins', ctx.path.ant_glob('plugins/*.py'))
+	ctx(
+		features = 'subst',
+		source = 'tekka.py.in',
+		target = 'tekka.py',
+		install_path = None,
+		SUSHI_VERSION = ctx.env.VERSION
+	)
 
-	ctx.install_files('${DATAROOTDIR}/tekka', ctx.path.ant_glob('tekka/**/*.py'),
+	ctx.install_files('${DATADIR}/tekka', ctx.path.ant_glob('*.py', excl='tekka.py'))
+	ctx.install_files('${DATADIR}/tekka/plugins', ctx.path.ant_glob('plugins/*.py'))
+
+	ctx.install_files('${DATADIR}/tekka', ctx.path.ant_glob('tekka/**/*.py'),
 		relative_trick = True
 	)
 
-	ctx.install_files('${DATAROOTDIR}/tekka', ctx.path.ant_glob('ui/**/*.ui'),
+	ctx.install_files('${DATADIR}/tekka', ctx.path.ant_glob('ui/**/*.ui'),
 		relative_trick = True
 	)
 
-	ctx.install_files('${DATAROOTDIR}/tekka', 'tekka.py', chmod = Utils.O755)
+	ctx.install_files('${DATADIR}/tekka', 'tekka.py', chmod = Utils.O755)
 
 	# Well, that's kinda silly, but state of the art, I guess
 	for directory in ('16x16', '22x22', '24x24', '32x32', '36x36', '48x48', '64x64', '72x72', '96x96', '128x128', '192x192', '256x256', 'scalable'):
@@ -61,14 +69,14 @@
 			ctx.install_as('${TEKKA_ICONSDIR}/Humanity/apps/%s/tekka.svg' % (directory),
 			               'graphics/tekka-mono-light.svg')
 
-	ctx.symlink_as('${BINDIR}/tekka', Utils.subst_vars('${DATAROOTDIR}/tekka/tekka.py', ctx.env))
+	ctx.symlink_as('${BINDIR}/tekka', Utils.subst_vars('${DATADIR}/tekka/tekka.py', ctx.env))
 
 	# FIXME
 	ctx(
 		features = 'subst',
 		source = 'ui/dialogs/about.ui.in',
 		target = 'ui/dialogs/about.ui',
-		install_path = '${DATAROOTDIR}/tekka/ui/dialogs',
+		install_path = '${DATADIR}/tekka/ui/dialogs',
 		SUSHI_VERSION = ctx.env.VERSION
 	)

=== nigiri/po/wscript ===
#!/usr/bin/env python

def configure (ctx):
	ctx.load('intltool')

def build (ctx):
	ctx(
		features = 'intltool_po',
		appname = 'nigiri'
	)

=== tekka/po/wscript ===
#!/usr/bin/env python

def configure (ctx):
	ctx.load('intltool')

def build (ctx):
	ctx(
		features = 'intltool_po',
		appname = 'tekka'
	)

=== debian/changelog ===
sushi (1.4.0+git20160822+dfsg-4) unstable; urgency=medium

  * Revert following change introduced in 1.4.0+git20160822+dfsg-3, it
    it not suitable during the freeze:
    Fix package-uses-deprecated-debhelper-compat-version lintian warning
    switching to debhelper 9.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 20 Mar 2017 23:20:23 +0100

sushi (1.4.0+git20160822+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with bash as /bin/sh (Closes: #857772)
    Thanks to Chris Lamb for fixing this.
  * Fix package-uses-deprecated-debhelper-compat-version lintian warning
    switching to debhelper 9.
  * Fix empty-binary-package lintian warning
    Thanks to Adrian Vondendriesch for fixing this.
  * debian/control: both tekka and nigiri are now sushi deps (Closes: #836195)
  * Fix spelling-error-in-description-synopsis lintian warning.
  * Fix nigiri crashes:
    - debian/patches/nigiri-00-fix-gobject-import.diff: fix GObject ImportError
    - debian/patches/nigiri-01-fix-urwid-indexerror.diff: fix urwid
      'IndexError: No widget at position 1' error
    - debian/patches/nigiri-02-none-has-no-auto_scroll.diff: fix AttributeError
  * debian/control: remove DM-Upload-Allowed field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 18 Mar 2017 16:08:30 +0100

sushi (1.4.0+git20160822+dfsg-1) unstable; urgency=medium

  * New upstream git tarball (Closes: #811889)
    - debian/control: require libglib2.0-dev >= 2.40 in Build-Depends field
  * debian/rules: provide get-orig-source target.
  * debian/rules: fix build with dpkg-buildpackage -A (Closes: #806659)
  * debian/rules: pass LDFLAGS to waf, fixes hardening-no-relro lintian warn.
  * debian/rules: fix hardening-no-bindnow lintian info.
  * Fix a crash on maki start:
    - debian/patches/maki-revert-3bb2b23.diff: revert upstream maki
      commit 3bb2b23 and re-enable gupnp support as gupnp deadlock was fixed
      time ago, see: https://bugzilla.gnome.org/show_bug.cgi?id=667494
    - debian/control: add libgupnp-igd-1.0-dev to Build-Depends field
  * debian/control: update Homepage field.
  * debian/copyright: update file.
  * Bump Standards-Version to 3.9.8.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 22 Aug 2016 21:36:52 +0200

sushi (1.4.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh-python (Closes: #786204)

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 03 Sep 2015 22:43:23 +0500

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,22 @@
 Section: net
 Priority: extra
 Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), python, libdbus-1-dev, intltool,
- libglib2.0-dev (>= 2.26), libnice-dev, libminiupnpc-dev (>= 1.5)
-Build-Depends-Indep: python-support
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
-Homepage: http://redmine.ikkoku.de/projects/sushi/wiki
+Build-Depends: debhelper (>= 7.0.50~), python, dh-python, libdbus-1-dev, intltool,
+ libglib2.0-dev (>= 2.40), libnice-dev, libminiupnpc-dev (>= 1.5),
+ libgupnp-igd-1.0-dev
+Standards-Version: 3.9.8
+Homepage: https://github.com/sushi-irc
 
 Package: sushi
 Architecture: all
-Depends: maki, tekka | nigiri, ${misc:Depends}
-Description: D-Bus-based IRC suite (suite)
+Depends: maki, tekka, nigiri, ${misc:Depends}
+Description: D-Bus-based IRC suite (metapackage)
  The sushi IRC suite consists of a central daemon and several clients, which
  communicate via DBus. DBus methods and signals are provided by the daemon to
  abstract the IRC protocol. Clients can use these methods and signals to easily
  interact with IRC.
  .
- This virtual package provides the full suite.
+ This metapackage provides the full suite.
 
 Package: maki
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

TARBALL_VERSION = 1.4.0+git20160822

GITCOMMIT_TEKKA = 12fb418580ba474cb9639ea394c1a5651c934bac
GITCOMMIT_MAKI = 1f8340a4e3745fd233de9dd1a4a82f78d4cf6088
GITCOMMIT_NIGIRI = 9e1137a80f350ea05ae76df93061d3dc188e1ba7
GITCOMMIT_CHIRASHI = 4c3c0327c8a6bd9501faeca306d618254e7add11

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
WAF=env WAFDIR=$(CURDIR) ./waf
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
DEBIAN_DIR = $(abspath $(dir $(MAKEFILE_LIST)))

%:
	dh $@ --with python2

override_dh_auto_clean:
	cd maki && $(WAF) distclean
	cd nigiri && $(WAF) distclean
	cd tekka && $(WAF) distclean
	cd chirashi && $(WAF) distclean

	rm -rf maki/.waf-* nigiri/.waf-* tekka/.waf-* chirashi/.waf-*
	rm -rf maki/.lock-waf-* nigiri/.lock-waf-* tekka/.lock-waf-* chirashi/.lock-waf-*
	find waflib -name "*.pyc" -delete

override_dh_auto_configure:
	cd maki && env LINKFLAGS='$(LDFLAGS)' $(WAF) configure --prefix /usr
	cd nigiri && env LINKFLAGS='$(LDFLAGS)' $(WAF) configure --prefix /usr
	cd tekka && env LINKFLAGS='$(LDFLAGS)' $(WAF) configure --prefix /usr
	cd chirashi && env LINKFLAGS='$(LDFLAGS)' $(WAF) configure --prefix /usr

override_dh_auto_build:
	cd maki && $(WAF) build
	cd nigiri && $(WAF) build
	cd tekka && $(WAF) build
	cd chirashi && $(WAF) build

override_dh_auto_install:
	cd maki && $(WAF) install --destdir $(CURDIR)/debian/maki
	cd nigiri && $(WAF) install --destdir $(CURDIR)/debian/nigiri
	cd tekka && $(WAF) install --destdir $(CURDIR)/debian/tekka
	cd chirashi && $(WAF) install --destdir $(CURDIR)/debian/chirashi

	# Move maki plugins files in maki-plugins package
	-mv debian/maki/usr/lib/maki/plugins/* debian/maki-plugins/usr/lib/maki/plugins/
	find $(CURDIR)/debian/maki/usr -type d -empty -delete

get-orig-source:
	# sudo apt-get install git
	mkdir sushi-$(TARBALL_VERSION)+dfsg

	cd sushi-$(TARBALL_VERSION)+dfsg \
	 && sh $(DEBIAN_DIR)/_get-orig-source_git-clone.sh tekka $(GITCOMMIT_TEKKA)

	cd sushi-$(TARBALL_VERSION)+dfsg \
	 && sh $(DEBIAN_DIR)/_get-orig-source_git-clone.sh maki $(GITCOMMIT_MAKI)

	cd sushi-$(TARBALL_VERSION)+dfsg \
	 && sh $(DEBIAN_DIR)/_get-orig-source_git-clone.sh nigiri $(GITCOMMIT_NIGIRI)

	cd sushi-$(TARBALL_VERSION)+dfsg \
	 && sh $(DEBIAN_DIR)/_get-orig-source_git-clone.sh chirashi $(GITCOMMIT_CHIRASHI)

	@echo "Unpacking waf \"binary\"..."
	cd sushi-$(TARBALL_VERSION)+dfsg/maki; cp ./waf ../ ; cd ../ ; python waf --help > /dev/null
	mv sushi-$(TARBALL_VERSION)+dfsg/.waf-*/* sushi-$(TARBALL_VERSION)+dfsg
	sed -i '/^#==>$$/,$$d' sushi-$(TARBALL_VERSION)+dfsg/waf
	sed -i '/^#==>$$/,$$d' sushi-$(TARBALL_VERSION)+dfsg/*/waf
	rmdir sushi-$(TARBALL_VERSION)+dfsg/.waf-*
	find sushi-$(TARBALL_VERSION)+dfsg/waflib -name "*.pyc" -delete

	@echo "Removing files licensed under a non-free license..."
	rm -fv sushi-$(TARBALL_VERSION)+dfsg/maki/documentation/irc/*

	@echo "# Packing..."
	find -L "sushi-$(TARBALL_VERSION)+dfsg" -xdev -type f -print | LC_ALL=C sort \
	 | XZ_OPT="-6v" tar -caf "sushi_$(TARBALL_VERSION)+dfsg.orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	 && rm -r "sushi-$(TARBALL_VERSION)+dfsg"
